# slope syntax for nano

This, as the title suggests, is a syntax highlighting file for the [nano text editor](https://en.wikipedia.org/wiki/GNU_nano).

It is a simplified highlighting syntax in comparrison to the [slope vim syntax](https://git.rawtext.club/slope-lang/slope-vim-syntax), but should make things much nicer to work with that using nano without it.

Installation is simple:

``` sh
make
```

This will do the following:

- Copy the syntax file to `~/.local/share/nano/syntax/slope.nanorc`, creating this folder structure if need be
- Append `include ~/.local/share/nano/syntax/slope.nanorc` to your `~/.nanorc` file
- There is a make target, `make remove`. This will remove the `slope.nanorc` file, but will _not_ attempt to remove the include from your `.nanorc` (in order to safeguard your file)

